Skip to main content

Create Appointment

POSThttps://api.propexo.com/crm/v1/appointments

Create an appointment for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    community_idstring

    The Propexo unique identifier for the community

    prospect_idstring

    The Propexo unique identifier for the prospect. When provided, books an appointment for an existing prospect. When omitted, creates a new prospect with an appointment.

    appointment_datestring

    The date when the appointment will occur

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestring

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. This time should be specified in UTC

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    email_1string

    The primary email address associated with the prospect. This field and/or the phone_1 field are required

    phone_1string

    Primary phone number associated with the prospect. This field and/or the email_1 field are required

    Possible values: Value must match regular expression ^\+?\d{1,50}$

    first_namestring

    The first name associated with the prospect

    last_namestring

    The last name associated with the prospect

    move_in_datestring

    The move-in date associated with the prospect

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    rent_minimum_in_centsinteger

    The minimum rent of the prospect

    Possible values: >= 1

    rent_maximum_in_centsinteger

    The maximum rent of the prospect

    Possible values: >= 1

    notesstring

    Notes associated with the prospect

    Possible values: <= 1000 characters

    desired_num_bedroomsinteger[]

    The number of bedrooms associated with the prospect. 0 represents a studio unit. 3 represents three or more bedrooms.

    Possible values: >= 0 and <= 3

    tour_typestring

    The type of appointment being scheduled.

    Show 3 enum values
    LIVE_VIDEOIN_PERSONSELF_GUIDED
    lease_term_in_monthsinteger

    The amount of months for the lease term

    Possible values: >= 1 and <= 18

    phone_2string

    Primary phone number associated with the prospect

    Possible values: Value must match regular expression ^\+?\d{1,50}$

    attribution_idstring

    The Propexo unique identifier for the attribution

    number_of_occupantsinteger

    The number of occupants living in the unit

    Possible values: > 0

    petsstring[]

    A list of pets related to the prospect

    Show 3 enum values
    SMALL_DOGLARGE_DOGCAT
    first_contact_typestring

    The type of initial contact with the prospect

    Show 9 enum values
    CALLCHATEMAILFACEBOOKFORMINTERNETKNOCK_SCHEDULESMSWALK_IN

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/appointments
curl -X POST https://api.propexo.com/crm/v1/appointments \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}